From 1be38833361eabf03f7a626b0b8d9570a6f607ed Mon Sep 17 00:00:00 2001
From: Andrea Scarpino <andrea@archlinux.org>
Date: Sun, 15 Feb 2009 23:22:33 +0100
Subject: [PATCH] add Out-of-Date detail in search form

---
 web/lib/pkgfuncs.inc             |    4 ++++
 web/template/pkg_search_form.php |    8 ++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/web/lib/pkgfuncs.inc b/web/lib/pkgfuncs.inc
index 150f552..1ab049f 100644
--- a/web/lib/pkgfuncs.inc
+++ b/web/lib/pkgfuncs.inc
@@ -448,6 +448,10 @@ function pkg_search_page($SID="") {
     if ($_GET["do_Orphans"]) {
         $q.= "AND MaintainerUID = 0 ";
     }
+	
+	if ($_GET["OD"]) {
+		$q.= "AND OutOfDate = 1 ";
+	}
 
     $order = $_GET["SO"] == 'd' ? 'DESC' : 'ASC';
 
diff --git a/web/template/pkg_search_form.php b/web/template/pkg_search_form.php
index 012b1bd..c3d2cfd 100644
--- a/web/template/pkg_search_form.php
+++ b/web/template/pkg_search_form.php
@@ -120,6 +120,14 @@
 							?>
 						</select>
 					</li>
+					<li>
+						<label><?php print __("Out-of-Date"); ?></label>
+						<?php if ($_GET["OD"]): ?>
+							<input type="checkbox" name="OD" checked>
+						<?php else: ?>
+							<input type="checkbox" name="OD">
+						<?php endif; ?>
+					</li>
 				</ul>
 			</div>
 			<?php endif; ?>
-- 
1.6.1.3

